RubyGems Navigation menu

wordnet 1.1.1

This library is a Ruby interface to WordNet®[http://wordnet.princeton.edu/]. WordNet® is an online lexical reference system whose design is inspired by current psycholinguistic theories of human lexical memory. English nouns, verbs, adjectives and adverbs are organized into synonym sets, each representing one underlying lexical concept. Different relations link the synonym sets. This library uses SqlUNET[http://sqlunet.sourceforge.net/], which is a conversion of the WordNet (along with a number of other linguistic databases) lexicon flatfiles into a relational database format. You can either install the {wordnet-defaultdb}[https://rubygems.org/gems/wordnet-defaultdb] gem, which packages up the SQLite3 version of SqlUNet, or install your own and point the lexicon at it by passing {Sequel connection parameters}[http://sequel.jeremyevans.net/rdoc/files/doc/opening_databases_rdoc.html] to the constructor.

Versions:

  1. 1.1.1 - April 12, 2019 (45 KB)
  2. 1.1.0 - October 18, 2017 (42 KB)
  3. 1.0.1 - September 19, 2016 (42.5 KB)
  4. 1.0.0 - October 01, 2012 (39.5 KB)
  5. 1.0.0.pre.141 - September 06, 2012 (38.5 KB)
Show all versions (12 total)

Runtime Dependencies (2):

  • loggability ~> 0.11
  • sequel ~> 5.0
  • Development Dependencies (8):

  • hoe ~> 3.17
  • hoe-deveiate ~> 0.10
  • hoe-highline ~> 0.2
  • hoe-mercurial ~> 1.4
  • rdoc >= 4.0, < 7
  • rspec ~> 3.5
  • simplecov ~> 0.12
  • sqlite3 ~> 1.3
  • Owners:

    Authors:

    • Michael Granger

    SHA 256 checksum:

    10527567b59f0dd1d711055f7cb572c0ee595cc049771f30d4a928eec97b1dc8

    Total downloads 25,084

    For this version 485

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    BSD-3-Clause

    Required Ruby Version: >= 2.2.0

    Links: